DeliverEngine
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.deliver
Class DeliverEngine

    java.lang.Object
      org.apache.ivy.core.deliver.DeliverEngine

    public class DeliverEngine

extends java.lang.Object

Constructor Summary
`DeliverEngine(DeliverEngineSettings settings)`

Method Summary
`void` | `deliver(ModuleRevisionId mrid, java.lang.String revision, java.lang.String destIvyPattern, DeliverOptions options)` Delivers a resolved ivy file based upon last resolve call status.
`void` | `deliver(java.lang.String revision, java.lang.String destIvyPattern, DeliverOptions options)` Delivers a resolved ivy file based upon last resolve call status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeliverEngine

    public DeliverEngine(DeliverEngineSettings settings)

Method Detail

### deliver

    public void deliver(java.lang.String revision,
                        java.lang.String destIvyPattern,
                        DeliverOptions options)
                 throws java.io.IOException,
                        java.text.ParseException

  Delivers a resolved ivy file based upon last resolve call status. If resolve report file cannot be found in cache, then it throws an IllegalStateException (maybe resolve has not been called before ?).

  Parameters:
    `revision` - the revision to which the module should be delivered
    `destIvyPattern` - the pattern to which the delivered ivy file should be written
    `options` - the options with which deliver should be done
  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### deliver

    public void deliver(ModuleRevisionId mrid,
                        java.lang.String revision,
                        java.lang.String destIvyPattern,
                        DeliverOptions options)
                 throws java.io.IOException,
                        java.text.ParseException

  Delivers a resolved ivy file based upon last resolve call status. If resolve report file cannot be found in cache, then it throws an IllegalStateException (maybe resolve has not been called before ?).

  Parameters:
    `mrid` - the module revision id of the module to deliver
    `revision` - the revision to which the module should be delivered
    `destIvyPattern` - the pattern to which the delivered ivy file should be written
    `options` - the options with which deliver should be done
  Throws:
    `java.io.IOException`
    `java.text.ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD